Zum Inhalt springen

Fibo Lite · Structured Prompt

Integrieren

Modell-ID bria/fibo-lite/generate/structured_prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate/structured_prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,008 $ 8 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
Bria AI LLM Schnell #bria#fibo#structured-prompt

Wandelt Text oder ein Bild in einen strukturierten Fibo-Lite-JSON-Prompt um, statt ein Bild zu erzeugen

Bria AI · Daten (JSON)

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

Für die Generierung verwendeter Prompt.

Erweitert image · seed · structured_prompt
image_url
Datei ablegen oder

URL des Eingabebildes.

Standard 7

Vom Zufallszahlengenerator verwendeter Seed.

Strukturierter Prompt für die Generierung.

POST /run/bria/fibo-lite/generate/structured_prompt?wait=20 Preis → 0,008 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate/structured_prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Fibo Lite · Structured Prompt

Gibt eine strukturierte Beschreibung zur Verwendung mit Fibo Lite statt eines Bildes zurück. Eingaben sind `prompt`, ein vorhandener `structured_prompt` oder eine `image_url` sowie `seed`. Die JSON-Ausgabe umfasst Ästhetik, Kunststil, Hintergrund, Beleuchtung, Objekte, fotografische Merkmale, Emotionen der Motive und gerenderte Texte.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
promptoptional
Typstring | null
Für die Generierung verwendeter Prompt.
structured_promptoptional
Typobject
Strukturierter Prompt für die Generierung.
structured_prompt.short_descriptionerforderlich
Typstring
Kurzer Überblick über den Bildinhalt, auf 200 Wörter begrenzt.
structured_prompt.objectserforderlich
Typobject[]
Liste auffälliger Objekte im Vorder- oder Mittelgrund.
structured_prompt.objects[].descriptionerforderlich
Typstring
Kurze Zusammenfassung zur Beschreibung des Objekts.
structured_prompt.objects[].locationerforderlich
Typstring
Position, zum Beispiel: 'center', 'top-left' oder 'bottom-right foreground'.
structured_prompt.objects[].relationshiperforderlich
Typstring
Beschreibt, wie dieses Objekt mit anderen im Bild zusammenhängt.
structured_prompt.objects[].relative_sizeoptional
Typstring | null
Größe, zum Beispiel: 'small', 'medium' oder 'large within frame'.
structured_prompt.objects[].shape_and_coloroptional
Typstring | null
Grundform und Hauptfarbe des Objekts.
structured_prompt.objects[].textureoptional
Typstring | null
Textur, zum Beispiel: 'smooth', 'rough', 'metallic' oder 'furry'.
structured_prompt.objects[].appearance_detailsoptional
Typstring | null
Weitere erwähnenswerte visuelle Merkmale.
structured_prompt.objects[].number_of_objectsoptional
Typinteger | null
Anzahl der Objekte innerhalb des Clusters.
structured_prompt.objects[].poseoptional
Typstring | null
Körperhaltung.
structured_prompt.objects[].expressionoptional
Typstring | null
Gesichtsausdruck.
structured_prompt.objects[].clothingoptional
Typstring | null
Getragene Kleidung.
structured_prompt.objects[].actionoptional
Typstring | null
Von der Person ausgeführte Handlung.
structured_prompt.objects[].genderoptional
Typstring | null
Geschlecht der Person.
structured_prompt.objects[].skin_tone_and_textureoptional
Typstring | null
Farbton und Textur der Haut.
structured_prompt.objects[].orientationoptional
Typstring | null
Ausrichtung der Person.
structured_prompt.background_settingerforderlich
Typstring
Beschreibung der gesamten Szene: Ort, Umgebung oder Hintergrund sowie bemerkenswerte Hintergrundmerkmale.
structured_prompt.lightingerforderlich
Typobject
Informationen zur Beleuchtung.
structured_prompt.lighting.conditionserforderlich
Typstring
Beispiele für die Beleuchtung sind 'bright daylight', 'dim indoor', 'studio lighting' und 'golden hour'.
structured_prompt.lighting.directionerforderlich
Typstring
Lichtrichtung; Beispiele sind 'front-lit', 'backlit' und 'side-lit from left'.
structured_prompt.lighting.shadowsoptional
Typstring | null
Beschreibung vorhandener Schatten.
structured_prompt.aestheticserforderlich
Typobject
Informationen zur Ästhetik des Bildes.
structured_prompt.aesthetics.compositionerforderlich
Typstring
Kompositionsstil; Beispiele sind 'rule of thirds', 'symmetrical', 'centered' und 'leading lines'.
structured_prompt.aesthetics.color_schemeerforderlich
Typstring
Farbschema; Beispiele sind 'monochromatic blue', 'warm complementary colors' und 'high contrast'.
structured_prompt.aesthetics.mood_atmosphereerforderlich
Typstring
Stimmung oder Atmosphäre, zum Beispiel `joyful`, `serene`, `mysterious` oder `energetic`.
structured_prompt.aesthetics.aesthetic_scoreerforderlich
Typstring
Beschreibung der Bewertung, zum Beispiel medium, very low, low, very high oder high.
structured_prompt.aesthetics.preference_scoreerforderlich
Typstring
Beschreibung der Bewertung, zum Beispiel medium, very low, low, very high oder high.
structured_prompt.photographic_characteristicsoptional
Typobject
Informationen zu den fotografischen Eigenschaften.
structured_prompt.photographic_characteristics.depth_of_fielderforderlich
Typstring
Schärfentiefe; Beispiele sind 'shallow', 'deep' und 'bokeh background'.
structured_prompt.photographic_characteristics.focuserforderlich
Typstring
Fokuseigenschaften; Beispiele sind 'sharp focus on subject', 'soft focus' und 'motion blur'.
structured_prompt.photographic_characteristics.camera_angleerforderlich
Typstring
Kamerawinkel; Beispiele sind 'eye-level', 'low angle', 'high angle' und 'dutch angle'.
structured_prompt.photographic_characteristics.lens_focal_lengtherforderlich
Typstring
Objektivtyp oder Brennweite, zum Beispiel `macro`, `fisheye`, `wide-angle` oder `telephoto`.
structured_prompt.style_mediumoptional
Typstring | null
Verwendetes künstlerisches Medium oder Stil.
structured_prompt.text_renderoptional
Typobject[]
Liste der im Bild dargestellten Textelemente.
structured_prompt.text_render[].texterforderlich
Typstring
Inhalt des Textes.
structured_prompt.text_render[].locationerforderlich
Typstring
Position, zum Beispiel: 'center', 'top-left' oder 'bottom-right foreground'.
structured_prompt.text_render[].sizeerforderlich
Typstring
Größe, zum Beispiel: 'small', 'medium' oder 'large within frame'.
structured_prompt.text_render[].colorerforderlich
Typstring
Farbe, zum Beispiel `green`, `red` oder `blue`.
structured_prompt.text_render[].fonterforderlich
Typstring
Schriftstil, zum Beispiel `minimalist`, `realistic` oder `cartoonish`.
structured_prompt.text_render[].appearance_detailsoptional
Typstring | null
Weitere erwähnenswerte visuelle Merkmale.
structured_prompt.contexterforderlich
Typstring
Zusätzlicher Kontext zur Unterstützung der Bildinterpretation.
structured_prompt.artistic_styleerforderlich
Typstring
Spezifische künstlerische Merkmale, ausgedrückt in höchstens 3 Wörtern.
structured_prompt.subject_emotionsoptional
Typstring | null
Explizite Beschreibung der sichtbaren Gesichtsausdrücke oder Emotionen der Motive.
image_urloptional image
Typurl · image
URL des Eingabebildes.
seedoptional
Typinteger
Standard7
Vom Zufallszahlengenerator verwendeter Seed.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Dateiparameter akzeptieren eine öffentliche https://-URL, eine data:-URI bis 10 MB oder die file_url eines Uploads. Dateien

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-lite/generate/structured_prompt",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 8,
    "usd": "0.008",
    "charged": 8,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "short_description": "string",
    "objects": [
      {
        "description": "string",
        "location": "string",
        "relationship": "string",
        "relative_size": "string",
        "shape_and_color": "string",
        "texture": "string",
        "appearance_details": "string",
        "number_of_objects": 1,
        "pose": "string",
        "expression": "string",
        "clothing": "string",
        "action": "string",
        "gender": "string",
        "skin_tone_and_texture": "string",
        "orientation": "string"
      }
    ],
    "background_setting": "string",
    "lighting": {
      "conditions": "string",
      "direction": "string",
      "shadows": "string"
    },
    "aesthetics": {
      "composition": "string",
      "color_scheme": "string",
      "mood_atmosphere": "string",
      "aesthetic_score": "string",
      "preference_score": "string"
    },
    "photographic_characteristics": {
      "depth_of_field": "string",
      "focus": "string",
      "camera_angle": "string",
      "lens_focal_length": "string"
    },
    "style_medium": "string",
    "text_render": [
      {
        "text": "string",
        "location": "string",
        "size": "string",
        "color": "string",
        "font": "string",
        "appearance_details": "string"
      }
    ],
    "context": "string",
    "artistic_style": "string",
    "subject_emotions": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
short_description
stringKurzer Überblick über den Bildinhalt, auf 200 Wörter begrenzt.
objects
array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation}Liste auffälliger Objekte im Vorder- oder Mittelgrund.
background_setting
stringBeschreibung der gesamten Szene: Ort, Umgebung oder Hintergrund sowie bemerkenswerte Hintergrundmerkmale.
lighting
object {conditions, direction, shadows}Informationen zur Beleuchtung.
aesthetics
object {composition, color_scheme, mood_atmosphere, aesthetic_score, preference_score}Informationen zur Ästhetik des Bildes.
photographic_characteristics
object {depth_of_field, focus, camera_angle, lens_focal_length} | nullInformationen zu den fotografischen Eigenschaften.
style_medium
string | nullVerwendetes künstlerisches Medium oder Stil.
text_render
array of object {text, location, size, color, font, appearance_details} | nullListe der im Bild dargestellten Textelemente.
context
stringZusätzlicher Kontext zur Unterstützung der Bildinterpretation.
artistic_style
stringSpezifische künstlerische Merkmale, ausgedrückt in höchstens 3 Wörtern.
subject_emotions
string | nullExplizite Beschreibung der sichtbaren Gesichtsausdrücke oder Emotionen der Motive.

Weitere Modelle: LLM

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/bria/fibo-lite/generate/structured_prompt.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt